Package org.springframework.security.authentication.event

# Class InteractiveAuthenticationSuccessEvent

java.lang.Object
java.util.EventObject
org.springframework.context.ApplicationEvent
org.springframework.security.authentication.event.AbstractAuthenticationEvent
org.springframework.security.authentication.event.InteractiveAuthenticationSuccessEvent

All Implemented Interfaces:
  `Serializable`

public class InteractiveAuthenticationSuccessEvent extends AbstractAuthenticationEvent
Indicates an interactive authentication was successful.

The `ApplicationEvent`'s `source` will be the `Authentication` object.

This does not extend from `AuthenticationSuccessEvent` to avoid duplicate `AuthenticationSuccessEvent`s being sent to any listeners.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`InteractiveAuthenticationSuccessEvent(Authentication authentication, Class<?> generatedBy)`

## Method Summary

Modifier and Type
Method
Description
`Class<?>`
`getGeneratedBy()`
Getter for the `Class` that generated this event.

### Methods inherited from class org.springframework.security.authentication.event.AbstractAuthenticationEvent

`getAuthentication`

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InteractiveAuthenticationSuccessEvent

public InteractiveAuthenticationSuccessEvent(Authentication authentication, Class<?> generatedBy)

## Method Details

### getGeneratedBy

public Class<?> getGeneratedBy()
Getter for the `Class` that generated this event. This can be useful for generating additional logging information.

Returns:
  the class